net.i2p.router.networkdb.kademlia

## Class FloodOnlyLookupTimeoutJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodOnlyLookupTimeoutJob

All Implemented Interfaces:
  Job

     class FloodOnlyLookupTimeoutJob
    extends JobImpl

### Constructor Summary

Constructors
Constructor and Description
`FloodOnlyLookupTimeoutJob(RouterContext ctx, FloodOnlySearchJob job)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FloodOnlyLookupTimeoutJob

    public FloodOnlyLookupTimeoutJob(RouterContext ctx,
                             FloodOnlySearchJob job)

### Method Detail

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task